Class | PhusionPassenger::ClassicRails::CGIFixed
In: | lib/phusion_passenger/classic_rails/cgi_fixed.rb
Parent: | ::CGI

Modifies CGI so that we can use it. Main thing it does is expose the stdinput and stdoutput so RequestHandler can connect them to the right sources. It also exposes the env_table so that RequestHandler can hook the request parameters into the environment table.

This is partially based on the FastCGI code, but much of the Ruby 1.6 backwards compatibility is removed.

### Methods

args env_table new stdinput stdoutput

### Public Class methods

new(params, input, output, *args)

### Public Instance methods

args()
env_table()
stdinput()
stdoutput()

[Validate]